
postgresql_daemon: 'postgresql'

# 
# Global configuration of postgres.conf file
#

#postgresql_listen_addresses:

# 
# Role configuration 
#

# the name of the role
#postgresql_role_name:
# the password of the role (default omitted)
#postgresql_role_password:
# boolean value if password is encrypted or not (default no)
#postgresql_role_encrypted:

#
# Database configuration
# 

# the name of the database
#postgresql_database_name:
# the owner of the database (default postgres)
#postgresql_database_owner:
# the list of SQL scripts that will run on database only after creation
postgresql_database_scripts: []

#
# Grant privileges to role on database
#
# For more information see: http://docs.ansible.com/ansible/latest/postgresql_privs_module.html
#

# Type of database object to set privileges on (one of: [table|sequence|function|database|schema|language|tablespace|group])
#postgresql_privileges_type:
# whether role may grant specified privileges/group membership to others
#postgresql_privileges_grant_option:
# Comma separated list of database objects to set privileges on (if type is one of: [table|sequence] you can specify special value ALL_IN_SCHEMA)
#postgresql_privileges_objs:
# Comma separated list of privileges to grant
#postgresql_privileges_privs:
# schema that contains the database objects specified via obj (may only be provided if type is one of: [table|sequence|function])
#postgresql_privileges_schema:

#
# Host-based authentication rules
#
# For more information see: https://www.postgresql.org/docs/current/static/auth-pg-hba-conf.html
#
postgresql_pghba_rules: []
  # rule type (one of: [local|host|hostssl|hostnossl])
  # - type:
  # name of the database (default: postgresql_database.name)
  #   database:
  # name of the role (default: postgresql_role.name)
  #   user:
  # specify client machine address (this field apply only to one of: [host|hostssl|hostnossl])
  #   address:
  # specify client machine mask (this field apply only to one of: [host|hostssl|hostnossl])
  #   mask:
  # specifies the authentication method to use when a connection matches this record (one of: [trust|reject|scram-sha-256|md5|password|gss|sspi|ident|peer|ldap|radius|cert|pam|bsd])
  #   method:
  # (optionally) field of the form name=value that specify options for the authentication method
  #   options:

